library bit_ads_pakage;

import 'package:admob_flutter/admob_flutter.dart';
import 'package:flutter/material.dart';

late AdmobInterstitial interstitialAd;
late AdmobReward rewardAd;

var IntraUnitId = "/6499/example/interstitial";
var BannerUnitId = "/6499/example/banner";
var ReawaredUnitId = "/6499/example/rewarded";

class Googleads {
  static ini() {
    WidgetsFlutterBinding.ensureInitialized();
    // Initialize without device test ids.
    Admob.initialize();
  }

  static loadIntra(var unitid) {
    interstitialAd = AdmobInterstitial(
      adUnitId: IntraUnitId,
    );
    interstitialAd.load();
  }


  static var BannerAdsShow = AdmobBanner(
    adUnitId: BannerUnitId,
    adSize: AdmobBannerSize.BANNER,
  );

  static loadReward(var Unitid) {
    rewardAd = AdmobReward(
      adUnitId: ReawaredUnitId,
    );
    rewardAd.load();
  }

}
